com.intellectualcrafters.plot.uuid

## Class PlotUUIDSaver

- java.lang.Object
- - com.intellectualcrafters.plot.uuid.UUIDSaver
  - - com.intellectualcrafters.plot.uuid.PlotUUIDSaver

-     public class PlotUUIDSaver
      extends UUIDSaver

  Created by Citymonstret on 2014-10-13.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotUUIDSaver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UUIDSet` | `get(java.lang.String name)`
    `UUIDSet` | `get(java.util.UUID uuid)`
    `void` | `globalPopulate()`
    `void` | `globalSave(com.google.common.collect.BiMap<StringWrapper,java.util.UUID> map)`
    `java.lang.String` | `mojangName(java.util.UUID uuid)`
    `java.util.UUID` | `mojangUUID(java.lang.String name)`
    `void` | `save(UUIDSet set)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotUUIDSaver

          public PlotUUIDSaver()

  - ### Method Detail

    - #### globalPopulate

          public void globalPopulate()

      Specified by:
        `globalPopulate` in class `UUIDSaver`

    - #### globalSave

          public void globalSave(com.google.common.collect.BiMap<StringWrapper,java.util.UUID> map)

      Specified by:
        `globalSave` in class `UUIDSaver`

    - #### save

          public void save(UUIDSet set)

      Specified by:
        `save` in class `UUIDSaver`

    - #### mojangUUID

          public java.util.UUID mojangUUID(java.lang.String name)
                                    throws java.lang.Exception

      Specified by:
        `mojangUUID` in class `UUIDSaver`
      Throws:
        `java.lang.Exception`

    - #### mojangName

          public java.lang.String mojangName(java.util.UUID uuid)
                                      throws java.lang.Exception

      Specified by:
        `mojangName` in class `UUIDSaver`
      Throws:
        `java.lang.Exception`

    - #### get

          public UUIDSet get(java.lang.String name)

      Specified by:
        `get` in class `UUIDSaver`

    - #### get

          public UUIDSet get(java.util.UUID uuid)

      Specified by:
        `get` in class `UUIDSaver`